#!/bin/bash
# Copyright (c) Huawei Technologies Co., Ltd. 2017-2020. All rights reserved.

function bep_check_and_read_timestamp()
{
    local bep_conf_file_name="$1"
    local bep_timestamp_section_name="$2"
    local bep_cur_section_name=""
    local bep_line=""
    local bep_first_char=""
    local bep_timestamp_key=""
    local bep_timestamp_value=""
    if [[ ! -f "$bep_conf_file_name" ]];then
        bep_log "ERROR" "$bep_conf_file_name does not exist."
        return 1
    fi
    if [[ -z "$bep_timestamp_section_name" ]]; then
        bep_timestamp_section_name="timestamp"
    fi

    while read bep_line
    do
        if test -z "$bep_line"; then
            continue
        fi
        bep_first_char=${bep_line:0:1}
        if [ '#' == "$bep_first_char" ]; then
            continue
        fi
        if [ '[' == "$bep_first_char" ]; then
            if [ "$bep_cur_section_name" = "$bep_timestamp_section_name" ]; then
                return 1
            fi
            bep_cur_section_name="${bep_line#*[}"
            bep_cur_section_name="${bep_cur_section_name%]*}"
            continue
        else
            if [ "$bep_cur_section_name" = "$bep_timestamp_section_name" ]
            then
                bep_timestamp_key=$(echo "${bep_line%=*}" |sed s/[[:space:]]//g)
                bep_timestamp_value=$(echo "${bep_line#*=}" |sed s/[[:space:]]//g)

                if test -z "$bep_timestamp_value"; then
                    bep_log "INFO" "The item $bep_line is not available, please check!"
                else
                    bep_log "INFO" "val $bep_timestamp_key is : $bep_timestamp_value "
                fi
            fi

        fi
    done < "$bep_conf_file_name"
    return 0
}